Bug 57585 - [EDITING FEATURE-REQUEST] Don't show the bullet of empty lines in Impress
Summary: [EDITING FEATURE-REQUEST] Don't show the bullet of empty lines in Impress
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium enhancement
Assignee: Gökçe Kuler
URL:
Whiteboard:
Keywords:
: 67117 96721 (view as bug list)
Depends on:
Blocks: Impress-Bullet-Number
  Show dependency treegraph
 
Reported: 2012-11-27 00:15 UTC by ntrrgc
Modified: 2021-12-20 12:43 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description ntrrgc 2012-11-27 00:15:02 UTC
Steps to reproduce:
1. Open Impress, create a new presentation.
2. Create a new Title/Content slide.
3. Click on content.
4. Write 3 lines of foobar. Then press Enter key, leaving a blank line.

A PowerPoint 97+ user would expect nothing to be seen in the last line. In Impress, there is an useless dot. Our user does have to double click again, and remove the line.
Comment 1 Rob Snelders 2012-12-02 19:58:24 UTC
Thank you for reporting this request.

Seems like a usefull feature to me. When the last line is empty don't display the bullet in that line.
Comment 2 A (Andy) 2015-02-13 11:32:07 UTC
Reproducible with LO 4.4.0.3, Win 8.1

There should be only a bullet in the next line if I enter a text and not if I want only to insert an empty line.
Comment 3 Buovjaga 2015-12-27 17:28:45 UTC
*** Bug 96721 has been marked as a duplicate of this bug. ***
Comment 4 Aron Budea 2021-02-11 17:52:20 UTC
*** Bug 67117 has been marked as a duplicate of this bug. ***
Comment 5 Gülşah Köse 2021-06-23 06:07:36 UTC
Gökçe is about to complete this feature.
Comment 6 Commit Notification 2021-07-07 06:22:43 UTC
Gokce Kuler committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/070a5b039b181c380b1b9724a015314ff78c30ed

tdf#57585 Add new bullet behaviour to impress

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2021-09-14 11:26:50 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/f09596c9dfa627f51c431dd32ae5953d55b867ee

tdf#143854: Revert "tdf#57585 Add new bullet behaviour to impress"

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Xisco Faulí 2021-09-14 14:57:25 UTC
Back to NEW. the fix was reverted
Comment 9 vginesta 2021-12-08 16:33:09 UTC
Hello 

My name is Vicente Ginesta.

Years ago I sent a request to solve this bug in Libre Office Impress.
Thank you very much to all of you for the patch.

I am very grateful to all of you.

Keep up the good work!!!!

Thank you very very much from Galicia Spain.

Vicente Ginesta
vginesta@hotmail.com
Comment 10 Gökçe Kuler 2021-12-14 20:06:20 UTC
Hello,

Is it possible that I can see an example of an affected ppt file? I want to solve the bug, but I couldn't fully understand the problem.
Comment 11 Gökçe Kuler 2021-12-19 18:45:41 UTC
(In reply to Xisco Faulí from comment #8)
> Back to NEW. the fix was reverted

Hello,

Is it possible that I can see an example of an affected ppt file? I want to solve the bug, but I couldn't fully understand the problem.
Comment 12 Xisco Faulí 2021-12-20 12:43:06 UTC
(In reply to Gökçe Kuler from comment #11)
> (In reply to Xisco Faulí from comment #8)
> > Back to NEW. the fix was reverted
> 
> Hello,
> 
> Is it possible that I can see an example of an affected ppt file? I want to
> solve the bug, but I couldn't fully understand the problem.

see bug 143854